(function($){
 jQuery('html').themeshortcode({
  id       : 'highlight',
  title       : 'Highlight',   
  image      : 'highlight.png',
  showWindow     : true, 
  fields      : [ {type : 'select', name : 'color', id: 'color', option : ['Light','Dark','strong','big dark','title']} ]
 }, 
 function(ed, url, options)  
 {
  var color = jQuery('#'+ options.pluginprefix + 'color').val();
 
  var selected_text = ed.selection.getContent();
  var  html = '';
  if(color=='Light')
  {
   html = '<span class="label-theme">'+selected_text+'</span>';  
  }
  if(color=='Dark')
  {
   html = '<h3 class="header-d">'+selected_text+'</h3>';     
  }
  if(color=='title')
  {
   html = '<h3 class="scheme-m">'+selected_text+'</h3>';     
  }
  if(color=='strong')
  {
   html = '<span class="strong">'+selected_text+'</span>';   
  }
  if(color=='big dark')
  {
   html = '<h3 class="header-c">'+selected_text+'</h3>';       
  }
  ed.execCommand('mceInsertContent', false, html);
 });
})(jQuery);